2020-07-16 19:32 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005966Spring engineBuildbotpublic2018-05-04 01:22
Reporterabma 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version 
Summary0005966: upgrade mxe for windows build to gcc 5.4.0
Descriptioncan be used:

https://github.com/springlobby/springlobby/blob/master/tools/mxe_create_builddir.sh
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0005294resolvedabma Upgrade GCC 
+Relationships

-Notes

~0019061

abma (administrator)

note to myself:

https://github.com/spring/spring/blob/develop/buildbot/slave/create-build-dirs.py

cmake needs to be custom for the win32 buildslave and should be

/home/buildbot/mxe/usr/bin/i686-w64-mingw32.static.posix-cmake

-> add check for env var CMAKE + use when available

~0019062

abma (administrator)

note: win32 buildslave is currently broken, sorry.

will fix asap

~0019063

abma (administrator)

Fix 99ae27c2bbc8bac26d127fb37ea1458ebb36ed2b committed to develop branch: buildbot: fix 0005966, repo: spring changeset id: 10077

~0019077

abma (administrator)

Fix 430e2a74ea91851441094e293d5a1037c6554b63 committed to maintenance branch: buildbot: fix 0005966

Conflicts:
    buildbot/master/master.cfg, repo: spring changeset id: 10128
+Notes

-Issue History
Date Modified Username Field Change
2018-04-26 19:25 abma New Issue
2018-04-26 19:25 abma Relationship added related to 0005294
2018-04-26 19:25 abma Summary upgrade mxe for windows build to at >= gcc 5.4.0 => upgrade mxe for windows build to gcc 5.4.0
2018-05-02 13:16 abma Assigned To => abma
2018-05-02 13:16 abma Status new => assigned
2018-05-02 13:18 abma Note Added: 0019061
2018-05-02 13:20 abma Note Added: 0019062
2018-05-02 21:05 abma Changeset attached => spring develop 99ae27c2
2018-05-02 21:05 abma Note Added: 0019063
2018-05-02 21:05 abma Status assigned => resolved
2018-05-02 21:05 abma Resolution open => fixed
2018-05-04 01:22 Kloot Changeset attached => spring maintenance 430e2a74
2018-05-04 01:22 abma Note Added: 0019077
+Issue History